package jp.jasminesoft.wagby.job;

import org.apache.logging.log4j.*;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import jp.jasminesoft.jfc.ActionParameter;
import jp.jasminesoft.jfc.job.JFCBaseJobBean;

public class CreateCustomerJob extends JFCBaseJobBean {
    private final static Logger logger = 
        LogManager.getLogger(CreateCustomerJob.class.getName());

    private CreateCustomerTask createCustomerTask;

    public void setCreateCustomerTask(CreateCustomerTask createCustomerTask) {
        this.createCustomerTask = createCustomerTask;
    }

    @Override
    protected String executeInternal0(JobExecutionContext jobContext,
	ActionParameter p) throws JobExecutionException {
	return createCustomerTask.process(p);
    }
}
